### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-inpage-navigation/ecl-inpage-navigation.component.ts`

### Implements

`OnInit` `AfterContentInit` `OnDestroy`

### Metadata

selector | `ecl-inpage-navigation`
styles | `@media (min-width: 996px) { .ecl-inpage-navigation__list { display: block !important; } }`
templateUrl | `./ecl-inpage-navigation.component.html`

### Index

###### Properties
boundaryElement currentSectionElement eclNavigationLinkItems isButtonExpanded
###### Methods
onExpandButtonClick
###### Inputs
styleClass title
###### Outputs
sectionEnter
###### Accessors
currentNavigationLinkItem

### Constructor

`constructor(el: ElementRef)`
Parameters :
Name | Type | Optional
el | `ElementRef` | No

### Inputs

styleClass
Type : `string`

title
Type : `string`

### Outputs

sectionEnter
Type : `EventEmitter`

### Methods

onExpandButtonClick
`onExpandButtonClick(evt)`
Parameters :
Name | Optional
evt | No
Returns : `void`

### Properties

boundaryElement
Type : `HTMLElement`

currentSectionElement
Type : `HTMLElement`

eclNavigationLinkItems
Type : `QueryList<EclInpageNavigationItemComponent>`
Decorators : `@ContentChildren(EclInpageNavigationItemComponent)`

isButtonExpanded
Type : `boolean`
Default value : `false`

### Accessors

currentNavigationLinkItem
get `currentNavigationLinkItem()`

# result-matching ""

# No results matching ""